Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I've been trying for many days to get Red5 to install on Ubuntu 10.04. I finally managed to get red5.sh to stop hanging a few seconds in but now I'm getting the following error:

Setting default logging context: default
Exception in thread "main" java.lang.reflect.InvocationTargetException
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
 at java.lang.reflect.Method.invoke(Method.java:597)
 at org.red5.server.Bootstrap.bootStrap(Bootstrap.java:135)
 at org.red5.server.Bootstrap.main(Bootstrap.java:50)
Caused by: java.lang.NoSuchMethodError: org.slf4j.impl.StaticLoggerBinder.getContextSelector()Lch/qos/logback/classic/selector/ContextSelector;
 at org.red5.logging.Red5LoggerFactory.getLogger(Red5LoggerFactory.java:121)
 at org.red5.logging.Red5LoggerFactory.getLogger(Red5LoggerFactory.java:108)
 at org.red5.server.Launcher.launch(Launcher.java:51)
 ... 6 more

I suspected that this had to do with slf4j not being installed or on my classpath. I installed logback and libslf4j-java from aptitude and I see related files in my red5 lib directories. For example:

/usr/share/red5/lib/slf4j-api-1.6.1.jar
/usr/share/red5/lib/log4j-over-slf4j-1.6.1.jar
/usr/share/red5/lib/logback-classic-0.9.26.jar
/usr/share/red5/lib/logback-core-0.9.26.jar
/usr/share/red5/lib/jcl-over-slf4j-1.6.1.jar
/usr/share/red5/lib/jul-to-slf4j-1.6.1.jar

And I set my classpath to /usr/share/red5/lib/

Any ideas on where to proceed from here? There seem to be a lot of people having trouble getting 10.04 and red5 0.9 working together. I've tried red5-0.9.1.tar.gz and red5_0.9.0-RC1_all.deb. The libraries above should be all that are needed according to Red5's documentation and I got the latest version of each.

share|improve this question
add comment

migrated from stackoverflow.com Nov 10 '10 at 3:08

This question came from our site for professional and enthusiast programmers.

1 Answer

Use this tutorial: http://tumbledesign.com/how-to-install-red5-0-9-on-ubuntu-10-04-lts/ It has been done for me.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.